*** ./plugins/org.eclipse.ui.intro/src/org/eclipse/ui/internal/intro/impl/model/AbstractIntroContainer.java.osr6	Tue Oct 23 14:48:48 2007
--- ./plugins/org.eclipse.ui.intro/src/org/eclipse/ui/internal/intro/impl/model/AbstractIntroContainer.java	Wed Jan 16 00:14:50 2008
***************
*** 361,367 ****
  
      /**
       * Filters the appropriate elements from the given Vector, according to the current
!      * environment. For example, if one of the elements has a tag to filter for os=linux and
       * the os is win32, the element will not be returned in the resulting Vector.
       * 
       * @param unfiltered the unfiltered elements
--- 361,367 ----
  
      /**
       * Filters the appropriate elements from the given Vector, according to the current
!      * environment. For example, if one of the elements has a tag to filter for os=sysv5 and
       * the os is win32, the element will not be returned in the resulting Vector.
       * 
       * @param unfiltered the unfiltered elements
*** ./plugins/org.eclipse.ui.intro/schema/config.exsd.osr6	Tue Oct 23 14:48:33 2007
--- ./plugins/org.eclipse.ui.intro/schema/config.exsd	Wed Jan 16 00:14:50 2008
***************
*** 159,165 ****
           <attribute name="os" type="string">
              <annotation>
                 <documentation>
!                   The optional operating system specification used when choosing the presentation&apos;s implementation.  It can be any of the os designators defined by Eclipse, e.g., win32, linux, etc (see Javadoc for &lt;code&gt;org.eclipse.core.runtime.Platform&lt;/code&gt;).
                 </documentation>
              </annotation>
           </attribute>
--- 159,165 ----
           <attribute name="os" type="string">
              <annotation>
                 <documentation>
!                   The optional operating system specification used when choosing the presentation&apos;s implementation.  It can be any of the os designators defined by Eclipse, e.g., win32, sysv5, etc (see Javadoc for &lt;code&gt;org.eclipse.core.runtime.Platform&lt;/code&gt;).
                 </documentation>
              </annotation>
           </attribute>
*** plugins/org.eclipse.jdt.core.manipulation/javaCompiler...args.osr6	Tue Oct 23 14:31:14 2007
--- plugins/org.eclipse.jdt.core.manipulation/javaCompiler...args	Wed Jan 16 11:47:09 2008
***************
*** 73,78 ****
--- 73,80 ----
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.hpux.PA_RISC_1.0.0.v20060603/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc_1.0.100.v20070430/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_64/@dot[?**/*]
*** plugins/org.eclipse.core.resources/javaCompiler...args.osr6	Tue Oct 23 14:31:14 2007
--- plugins/org.eclipse.core.resources/javaCompiler...args	Wed Jan 16 11:38:56 2008
***************
*** 61,66 ****
--- 61,68 ----
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.hpux.PA_RISC_1.0.0.v20060603/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc_1.0.100.v20070430/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86_1.1.0.v20070416/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_1.1.0.v20070416/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_64/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
*** plugins/org.eclipse.core.resources/javaCompiler.ant_tasks_resources-ant.jar.args.osr6	Tue Oct 23 14:31:14 2007
--- plugins/org.eclipse.core.resources/javaCompiler.ant_tasks_resources-ant.jar.args	Wed Jan 16 11:53:26 2008
***************
*** 61,66 ****
--- 61,68 ----
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.hpux.PA_RISC_1.0.0.v20060603/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc_1.0.100.v20070430/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86_1.1.0.v20070416/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_1.1.0.v20070416/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_64/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
*** ./plugins/org.eclipse.platform.source/src/org.eclipse.core.filesystem_1.1.0.v20070606/natives/unix/sysv5/include/os_custom.h.osr6	Wed Jan 16 00:14:52 2008
--- ./plugins/org.eclipse.platform.source/src/org.eclipse.core.filesystem_1.1.0.v20070606/natives/unix/sysv5/include/os_custom.h	Wed Jan 16 00:14:52 2008
***************
*** 0 ****
--- 1,23 ----
+ /***********************************************************************
+ * Copyright (c) 2005, 2007 IBM Corporation and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     IBM Corporation - initial API and implementation
+ * Martin Oberhuber (Wind River) - [183137] liblocalfile for solaris-sparc
+ ***********************************************************************/
+ 
+ /* Use this directive when introducing platform-specific code in localfile.c */
+ #ifndef LINUX
+ #define LINUX
+ #endif
+ 
+ /* Linux supports reading symbolic links */
+ #ifndef EFS_SYMLINK_SUPPORT
+ #define EFS_SYMLINK_SUPPORT
+ #endif
+ #include <limits.h>
+ #include <unistd.h>
*** ./plugins/org.eclipse.platform.source/src/org.eclipse.core.filesystem_1.1.0.v20070606/natives/unix/sysv5/Makefile.osr6	Wed Jan 16 00:14:52 2008
--- ./plugins/org.eclipse.platform.source/src/org.eclipse.core.filesystem_1.1.0.v20070606/natives/unix/sysv5/Makefile	Wed Jan 16 00:14:52 2008
***************
*** 0 ****
--- 1,32 ----
+ #**********************************************************************
+ # Copyright (c) 2000, 2004 IBM Corporation and others.
+ # All rights reserved. This program and the accompanying materials 
+ # are made available under the terms of the Eclipse Public License v1.0
+ # which accompanies this distribution, and is available at
+ # http://www.eclipse.org/legal/epl-v10.html
+ #********************************************************************** 
+ #
+ # makefile for libcore.so
+ 
+ CORE.C = ../localfile.c
+ CORE.O = localfile.o
+ LIB_NAME = liblocalfile.so
+ LIB_NAME_FULL = liblocalfile_1_0_0.so
+ 
+ #Set this to be your OS type
+ OS_TYPE = sysv5
+ 
+ #Set this to be the location of your JRE
+ JAVA_HOME = /usr/java
+ 
+ JDK_INCLUDE = -I ${JAVA_HOME}/include -I ${JAVA_HOME}/include/unixware
+ COMMON_INCLUDE = -Iinclude
+ #OPT_FLAGS=-g
+ OPT_FLAGS=-O
+ 
+ core :
+ 	cc $(OPT_FLAGS) -KPIC -c $(JDK_INCLUDE) $(COMMON_INCLUDE) -o $(CORE.O) $(CORE.C)
+ 	cc $(OPT_FLAGS) -G -Wl,-h,$(LIB_NAME) -o $(LIB_NAME_FULL) $(CORE.O)
+ 
+ clean :
+ 	rm *.o
*** plugins/org.eclipse.core.filebuffers/javaCompiler...args.osr6	Tue Oct 23 14:31:14 2007
--- plugins/org.eclipse.core.filebuffers/javaCompiler...args	Wed Jan 16 13:30:34 2008
***************
*** 74,79 ****
--- 74,81 ----
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.hpux.PA_RISC_1.0.0.v20060603/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc_1.0.100.v20070430/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86_1.1.0.v20070416/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_1.1.0.v20070416/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_64/@dot[+org/eclipse/core/filesystem/*:+org/eclipse/core/filesystem/provider/*:~org/eclipse/core/internal/filesystem/*:~org/eclipse/core/internal/filesystem/local/*:?**/*]
*** ./plugins/org.eclipse.pde.ui/src/org/eclipse/pde/internal/ui/wizards/product/ProductIntroOperation.java.osr6	Tue Oct 23 14:48:25 2007
--- ./plugins/org.eclipse.pde.ui/src/org/eclipse/pde/internal/ui/wizards/product/ProductIntroOperation.java	Wed Jan 16 00:14:54 2008
***************
*** 152,158 ****
  		implementation.setName("implementation"); //$NON-NLS-1$
  		implementation.setAttribute("kind", "html"); //$NON-NLS-1$ //$NON-NLS-2$
  		implementation.setAttribute("style", "content/shared.css"); //$NON-NLS-1$ //$NON-NLS-2$
! 		implementation.setAttribute("os", "win32,linux,macosx"); //$NON-NLS-1$ //$NON-NLS-2$
  		
  		presentation.add(implementation);
  		
--- 152,158 ----
  		implementation.setName("implementation"); //$NON-NLS-1$
  		implementation.setAttribute("kind", "html"); //$NON-NLS-1$ //$NON-NLS-2$
  		implementation.setAttribute("style", "content/shared.css"); //$NON-NLS-1$ //$NON-NLS-2$
! 		implementation.setAttribute("os", "win32,sysv5,macosx"); //$NON-NLS-1$ //$NON-NLS-2$
  		
  		presentation.add(implementation);
  		
*** ./plugins/org.eclipse.pde.ui/src/org/eclipse/pde/internal/ui/editor/product/LauncherSection.java.osr6	Tue Oct 23 14:48:26 2007
--- ./plugins/org.eclipse.pde.ui/src/org/eclipse/pde/internal/ui/editor/product/LauncherSection.java	Wed Jan 16 00:14:54 2008
***************
*** 104,109 ****
--- 104,110 ----
  	private CTabFolder fTabFolder;
  	private Composite fNotebook;
  	private StackLayout fNotebookLayout;
+ 	private Composite fSysv5Section;
  	private Composite fLinuxSection;
  	private Composite fMacSection;
  	private Composite fSolarisSection;
***************
*** 196,201 ****
--- 197,203 ----
  		fNotebookLayout = new StackLayout();
  		fNotebook.setLayout(fNotebookLayout);
  
+ 		fSysv5Section = addSysv5Section(fNotebook, toolkit);
  		fLinuxSection = addLinuxSection(fNotebook, toolkit);
  		fMacSection = addMacSection(fNotebook, toolkit);
  		fSolarisSection = addSolarisSection(fNotebook, toolkit);
***************
*** 225,230 ****
--- 227,233 ----
  		addTab("macosx"); //$NON-NLS-1$
  		addTab("solaris"); //$NON-NLS-1$
  		addTab("win32"); //$NON-NLS-1$
+ 		addTab("sysv5"); //$NON-NLS-1$
  		
  		String currentTarget = TargetPlatform.getOS();
  		if ("win32".equals(currentTarget)) { //$NON-NLS-1$
***************
*** 236,241 ****
--- 239,247 ----
  		} else if ("solaris".equals(currentTarget)) { //$NON-NLS-1$
  			fTabFolder.setSelection(2);
  			fNotebookLayout.topControl = fSolarisSection;
+ 		} else if ("sysv5".equals(currentTarget)) { //$NON-NLS-1$
+ 			fTabFolder.setSelection(4);
+ 			fNotebookLayout.topControl = fSysv5Section;
  		} else {
  			fTabFolder.setSelection(0);
  			fNotebookLayout.topControl = fLinuxSection;	
***************
*** 350,355 ****
--- 356,369 ----
  		}
  	}
  	
+ 	private Composite addSysv5Section(Composite parent, FormToolkit toolkit) {
+ 		Composite comp = createComposite(parent, toolkit);
+ 		createLabel(comp, toolkit, PDEUIMessages.LauncherSection_sysv5Label, 3);	 
+ 		fIcons.add(new IconEntry(comp, toolkit, PDEUIMessages.LauncherSection_icon, ILauncherInfo.SYSV5_ICON)); 
+ 		toolkit.paintBordersFor(comp);
+ 		return comp;
+ 	}
+ 
  	private Composite addLinuxSection(Composite parent, FormToolkit toolkit) {
  		Composite comp = createComposite(parent, toolkit);
  		createLabel(comp, toolkit, PDEUIMessages.LauncherSection_linuxLabel, 3);	 
***************
*** 515,520 ****
--- 529,536 ----
  	}
  
  	private String getExtension(String iconId) {
+ 		if (iconId.equals(ILauncherInfo.SYSV5_ICON))
+ 			return "xpm"; //$NON-NLS-1$
  		if (iconId.equals(ILauncherInfo.LINUX_ICON))
  			return "xpm"; //$NON-NLS-1$
  		if (iconId.equals(ILauncherInfo.MACOSX_ICON))
***************
*** 553,558 ****
--- 569,577 ----
  		case 3:
  			fNotebookLayout.topControl = fWin32Section;
  			break;
+ 		case 4:
+ 			fNotebookLayout.topControl = fSysv5Section;
+ 			break;
  		}
  		if (oldPage != fNotebookLayout.topControl)
  			fNotebook.layout();
*** ./plugins/org.eclipse.pde.ui/src/org/eclipse/pde/internal/ui/editor/product/JRESection.java.osr6	Tue Oct 23 14:49:08 2007
--- ./plugins/org.eclipse.pde.ui/src/org/eclipse/pde/internal/ui/editor/product/JRESection.java	Wed Jan 16 00:14:54 2008
***************
*** 64,70 ****
  
  	private static final String[] TAB_LABELS = new String[4];
  	static {
! 		TAB_LABELS[IJREInfo.LINUX] = "linux"; //$NON-NLS-1$
  		TAB_LABELS[IJREInfo.MACOS] = "macosx"; //$NON-NLS-1$
  		TAB_LABELS[IJREInfo.SOLAR] = "solaris"; //$NON-NLS-1$
  		TAB_LABELS[IJREInfo.WIN32] = "win32"; //$NON-NLS-1$
--- 64,70 ----
  
  	private static final String[] TAB_LABELS = new String[4];
  	static {
! 		TAB_LABELS[IJREInfo.LINUX] = "sysv5"; //$NON-NLS-1$
  		TAB_LABELS[IJREInfo.MACOS] = "macosx"; //$NON-NLS-1$
  		TAB_LABELS[IJREInfo.SOLAR] = "solaris"; //$NON-NLS-1$
  		TAB_LABELS[IJREInfo.WIN32] = "win32"; //$NON-NLS-1$
*** ./plugins/org.eclipse.pde.ui/src/org/eclipse/pde/internal/ui/editor/product/ArgumentsSection.java.osr6	Tue Oct 23 14:49:09 2007
--- ./plugins/org.eclipse.pde.ui/src/org/eclipse/pde/internal/ui/editor/product/ArgumentsSection.java	Wed Jan 16 00:14:54 2008
***************
*** 43,49 ****
  	private static final String[] TAB_LABELS = new String[5];
  	static {
  		TAB_LABELS[IArgumentsInfo.L_ARGS_ALL] = PDEUIMessages.ArgumentsSection_allPlatforms;
! 		TAB_LABELS[IArgumentsInfo.L_ARGS_LINUX] = "linux"; //$NON-NLS-1$
  		TAB_LABELS[IArgumentsInfo.L_ARGS_MACOS] = "macosx"; //$NON-NLS-1$
  		TAB_LABELS[IArgumentsInfo.L_ARGS_SOLAR] = "solaris"; //$NON-NLS-1$
  		TAB_LABELS[IArgumentsInfo.L_ARGS_WIN32] = "win32"; //$NON-NLS-1$
--- 43,49 ----
  	private static final String[] TAB_LABELS = new String[5];
  	static {
  		TAB_LABELS[IArgumentsInfo.L_ARGS_ALL] = PDEUIMessages.ArgumentsSection_allPlatforms;
! 		TAB_LABELS[IArgumentsInfo.L_ARGS_LINUX] = "sysv5"; //$NON-NLS-1$
  		TAB_LABELS[IArgumentsInfo.L_ARGS_MACOS] = "macosx"; //$NON-NLS-1$
  		TAB_LABELS[IArgumentsInfo.L_ARGS_SOLAR] = "solaris"; //$NON-NLS-1$
  		TAB_LABELS[IArgumentsInfo.L_ARGS_WIN32] = "win32"; //$NON-NLS-1$
*** ./plugins/org.eclipse.pde.ui/src/org/eclipse/pde/internal/ui/PDEUIMessages.java.osr6	Tue Oct 23 14:48:45 2007
--- ./plugins/org.eclipse.pde.ui/src/org/eclipse/pde/internal/ui/PDEUIMessages.java	Wed Jan 16 00:14:54 2008
***************
*** 1092,1097 ****
--- 1092,1098 ----
  	public static String LauncherSection_32High;
  	public static String LauncherSection_48Low;
  	public static String LauncherSection_48High;
+ 	public static String LauncherSection_sysv5Label;
  	public static String LauncherSection_linuxLabel;
  	public static String LauncherSection_large;
  	public static String LauncherSection_medium;
***************
*** 2923,2926 ****
  	public static String UpdateSiteProvisionerDialog_missBothErrorMessage;
  	
  	
! }
\ No newline at end of file
--- 2924,2927 ----
  	public static String UpdateSiteProvisionerDialog_missBothErrorMessage;
  	
  	
! }
*** plugins/org.eclipse.jdt.launching/javaCompiler...args.osr6	Tue Oct 23 14:31:14 2007
--- plugins/org.eclipse.jdt.launching/javaCompiler...args	Wed Jan 16 13:45:19 2008
***************
*** 74,79 ****
--- 74,81 ----
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.hpux.PA_RISC_1.0.0.v20060603/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc_1.0.100.v20070430/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_64/@dot[?**/*]
*** plugins/org.eclipse.jdt.launching/javaCompiler.lib_launchingsupport.jar.args.osr6	Tue Oct 23 14:31:14 2007
--- plugins/org.eclipse.jdt.launching/javaCompiler.lib_launchingsupport.jar.args	Wed Jan 16 13:51:35 2008
***************
*** 74,79 ****
--- 74,81 ----
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.hpux.PA_RISC_1.0.0.v20060603/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.ppc_1.0.100.v20070430/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86/@dot[?**/*]
+ #ADAPTER#ACCESS#org.eclipse.core.filesystem.sysv5.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_1.1.0.v20070416/@dot[?**/*]
  #ADAPTER#ACCESS#org.eclipse.core.filesystem.linux.x86_64/@dot[?**/*]
*** ./plugins/org.eclipse.pde.build/src/org/eclipse/pde/internal/build/BrandingIron.java.osr6	Tue Oct 23 14:48:33 2007
--- ./plugins/org.eclipse.pde.build/src/org/eclipse/pde/internal/build/BrandingIron.java	Wed Jan 16 00:14:54 2008
***************
*** 70,76 ****
  		
  		if ("win32".equals(os)) //$NON-NLS-1$
  			brandWindows();
! 		if ("linux".equals(os)) //$NON-NLS-1$
  			brandLinux();
  		if ("solaris".equals(os)) //$NON-NLS-1$
  			brandSolaris();
--- 70,78 ----
  		
  		if ("win32".equals(os)) //$NON-NLS-1$
  			brandWindows();
! 		if ("sysv5".equals(os)) //$NON-NLS-1$
! 			brandSysv5();
! 		if ("sysv5".equals(os)) //$NON-NLS-1$
  			brandLinux();
  		if ("solaris".equals(os)) //$NON-NLS-1$
  			brandSolaris();
***************
*** 90,95 ****
--- 92,103 ----
  		renameLauncher();
  	}
  
+ 	private void brandSysv5() throws Exception {
+ 		renameLauncher();
+ 		if (brandIcons)
+ 			copy(new File(icons[0]), new File(root, "icon.xpm"));
+ 	}
+ 
  	private void brandLinux() throws Exception {
  		renameLauncher();
  		if (brandIcons)
*** ./plugins/org.eclipse.pde.build/src/org/eclipse/pde/internal/build/ProductFile.java.osr6	Tue Oct 23 14:48:26 2007
--- ./plugins/org.eclipse.pde.build/src/org/eclipse/pde/internal/build/ProductFile.java	Wed Jan 16 00:14:54 2008
***************
*** 27,37 ****
--- 27,39 ----
  	private final static SAXParserFactory parserFactory = SAXParserFactory.newInstance();
  
  	private static final String PROGRAM_ARGS = "programArgs"; //$NON-NLS-1$
+ 	private static final String PROGRAM_ARGS_SYSV5 = "programArgsSco"; //$NON-NLS-1$
  	private static final String PROGRAM_ARGS_LINUX = "programArgsLin"; //$NON-NLS-1$
  	private static final String PROGRAM_ARGS_MAC = "programArgsMac"; //$NON-NLS-1$
  	private static final String PROGRAM_ARGS_SOLARIS = "programArgsSol"; //$NON-NLS-1$
  	private static final String PROGRAM_ARGS_WIN = "programArgsWin"; //$NON-NLS-1$
  	private static final String VM_ARGS = "vmArgs"; //$NON-NLS-1$
+ 	private static final String VM_ARGS_SYSV5 = "vmArgsSco"; //$NON-NLS-1$
  	private static final String VM_ARGS_LINUX = "vmArgsLin"; //$NON-NLS-1$
  	private static final String VM_ARGS_MAC = "vmArgsMac"; //$NON-NLS-1$
  	private static final String VM_ARGS_SOLARIS = "vmArgsSol"; //$NON-NLS-1$
***************
*** 75,80 ****
--- 77,84 ----
  	private static final int STATE_VM_ARGS_MAC = 13;
  	private static final int STATE_VM_ARGS_SOLARIS = 14;
  	private static final int STATE_VM_ARGS_WIN = 15;
+ 	private static final int STATE_PROGRAM_ARGS_SYSV5 = 16;
+ 	private static final int STATE_VM_ARGS_SYSV5 = 17;
  	
  	private int state = STATE_START;
  
***************
*** 212,217 ****
--- 216,223 ----
  		String key = null;
  		if( os.equals(Platform.OS_WIN32)){
  			key = VM_ARGS_WIN;
+ 		} else if( os.equals(Platform.OS_SYSV5)) {
+ 			key = VM_ARGS_SYSV5;
  		} else if( os.equals(Platform.OS_LINUX)) {
  			key = VM_ARGS_LINUX;
  		} else if( os.equals(Platform.OS_MACOSX)) {
***************
*** 235,240 ****
--- 241,248 ----
  		String key = null;
  		if( os.equals(Platform.OS_WIN32)){
  			key = PROGRAM_ARGS_WIN;
+ 		} else if( os.equals(Platform.OS_SYSV5)) {
+ 			key = PROGRAM_ARGS_SYSV5;
  		} else if( os.equals(Platform.OS_LINUX)) {
  			key = PROGRAM_ARGS_LINUX;
  		} else if( os.equals(Platform.OS_MACOSX)) {
***************
*** 285,290 ****
--- 293,300 ----
  					processSolaris(attributes);
  				} else if ("win".equals(localName)) { //$NON-NLS-1$
  					processWin(attributes);
+ 				} else if (Platform.OS_SYSV5.equals(localName)) {
+ 					processSysv5(attributes);
  				} else if (Platform.OS_LINUX.equals(localName)) {
  					processLinux(attributes);
  				} else if (Platform.OS_MACOSX.equals(localName)) {
***************
*** 300,305 ****
--- 310,317 ----
  			case STATE_LAUNCHER_ARGS :
  				if (PROGRAM_ARGS.equals(localName)) {
  					state = STATE_PROGRAM_ARGS;
+ 				} else if (PROGRAM_ARGS_SYSV5.equals(localName)) {
+ 					state = STATE_PROGRAM_ARGS_SYSV5;
  				} else if (PROGRAM_ARGS_LINUX.equals(localName)) {
  					state = STATE_PROGRAM_ARGS_LINUX;
  				} else if (PROGRAM_ARGS_MAC.equals(localName)) {
***************
*** 310,315 ****
--- 322,329 ----
  					state = STATE_PROGRAM_ARGS_WIN;
  				} else if (VM_ARGS.equals(localName)) {
  					state = STATE_VM_ARGS;
+ 				} else if (VM_ARGS_SYSV5.equals(localName)) {
+ 					state = STATE_VM_ARGS_SYSV5;
  				} else if (VM_ARGS_LINUX.equals(localName)) {
  					state = STATE_VM_ARGS_LINUX;
  				} else if (VM_ARGS_MAC.equals(localName)) {
***************
*** 355,365 ****
--- 369,381 ----
  				break;
  
  			case STATE_PROGRAM_ARGS :
+ 			case STATE_PROGRAM_ARGS_SYSV5 :
  			case STATE_PROGRAM_ARGS_LINUX :
  			case STATE_PROGRAM_ARGS_MAC :
  			case STATE_PROGRAM_ARGS_SOLARIS :
  			case STATE_PROGRAM_ARGS_WIN :
  			case STATE_VM_ARGS :
+ 			case STATE_VM_ARGS_SYSV5 :
  			case STATE_VM_ARGS_LINUX :
  			case STATE_VM_ARGS_MAC :
  			case STATE_VM_ARGS_SOLARIS :
***************
*** 374,379 ****
--- 390,398 ----
  			case STATE_PROGRAM_ARGS :
  				addLaunchArgumentToMap(PROGRAM_ARGS, String.valueOf(ch, start, length));
  				break;
+ 			case STATE_PROGRAM_ARGS_SYSV5 :
+ 				addLaunchArgumentToMap(PROGRAM_ARGS_SYSV5, String.valueOf(ch, start, length));
+ 				break;
  			case STATE_PROGRAM_ARGS_LINUX :
  				addLaunchArgumentToMap(PROGRAM_ARGS_LINUX, String.valueOf(ch, start, length));
  				break;
***************
*** 389,394 ****
--- 408,416 ----
  			case STATE_VM_ARGS :
  				addLaunchArgumentToMap(VM_ARGS, String.valueOf(ch, start, length));
  				break;
+ 			case STATE_VM_ARGS_SYSV5 :
+ 				addLaunchArgumentToMap(VM_ARGS_SYSV5, String.valueOf(ch, start, length));
+ 				break;
  			case STATE_VM_ARGS_LINUX :
  				addLaunchArgumentToMap(VM_ARGS_LINUX, String.valueOf(ch, start, length));
  				break;
***************
*** 493,498 ****
--- 515,526 ----
  		result.add(attributes.getValue(WIN32_48_LOW));
  	}
  
+ 	private void processSysv5(Attributes attributes) {
+ 		if (!osMatch(Platform.OS_SYSV5)) 
+ 			return;
+ 		result.add(attributes.getValue("icon")); //$NON-NLS-1$
+ 	}
+ 
  	private void processLinux(Attributes attributes) {
  		if (!osMatch(Platform.OS_LINUX)) 
  			return;
*** ./plugins/org.eclipse.pde.build/src_ant/org/eclipse/pde/internal/build/tasks/JNLPGenerator.java.osr6	Tue Oct 23 14:49:38 2007
--- ./plugins/org.eclipse.pde.build/src_ant/org/eclipse/pde/internal/build/tasks/JNLPGenerator.java	Wed Jan 16 00:14:54 2008
***************
*** 305,311 ****
  			return "Windows"; //$NON-NLS-1$
  		if ("macosx".equalsIgnoreCase(os)) //$NON-NLS-1$
  			return "Mac"; //$NON-NLS-1$
! 		if ("linux".equalsIgnoreCase(os)) //$NON-NLS-1$
  			return "Linux"; //$NON-NLS-1$
  		if ("solaris".equalsIgnoreCase(os)) //$NON-NLS-1$
  			return "Solaris"; //$NON-NLS-1$
--- 305,313 ----
  			return "Windows"; //$NON-NLS-1$
  		if ("macosx".equalsIgnoreCase(os)) //$NON-NLS-1$
  			return "Mac"; //$NON-NLS-1$
! 		if ("sysv5".equalsIgnoreCase(os)) //$NON-NLS-1$
! 			return "Sysv5"; //$NON-NLS-1$
! 		if ("sysv5".equalsIgnoreCase(os)) //$NON-NLS-1$
  			return "Linux"; //$NON-NLS-1$
  		if ("solaris".equalsIgnoreCase(os)) //$NON-NLS-1$
  			return "Solaris"; //$NON-NLS-1$
